<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="xpath-editor">
    <div class="row">
        <div class="col-sm-2">
            <div class="list-group menu-list-group">

                <!-- EXTRACTION -->
                <div class="list-group-section">
                    <div class="list-group-section-title"><i class="fa fa-code fa-fw"></i> Extraction</div>

                    <a class="list-group-item" href="" ng-class="{active: selected == 'path', disabled: !isNavigatorAvailable()}" ng-click="isNavigatorAvailable() && (selected = 'path')" title="{{ !isNavigatorAvailable() ? 'Cette action n\'est pas disponible dans le contexte actuel' : '' }}">
                        Navigateur
                    </a>

                    <a class="list-group-item" href="" ng-class="{active: selected == 'predicates', disabled: !isPredicatesAvailable()}" ng-click="isPredicatesAvailable() && (selected = 'predicates')" title="{{ !isPredicatesAvailable() ? 'Cette action n\'est pas disponible dans le contexte actuel' : '' }}">
                        <span class="badge">{{ getNbPredicates() }}</span> Filtres
                    </a>

                    <a class="list-group-item" href="" ng-class="{active: selected == 'expert'}" ng-click="selected = 'expert'">
                        Mode expert
                    </a>
                </div>

                <!-- TRAITEMENTS -->
                <a href="" class="list-group-item" ng-class="{active: selected == 'atomic', disabled: !isAtomicAvailable()}" ng-click="isAtomicAvailable() && (selected = 'atomic')" title="{{ !isAtomicAvailable() ? 'Cette action n\'est pas disponible dans le contexte actuel' : '' }}">
                    <span class="badge" ng-show="isAtomicAvailable()">{{ atomic.length }}</span>
                    <i class="fa fa-cogs fa-fw"></i> Traitements
                </a>

                <!-- PREVISUALISATION -->
                <a href="" class="list-group-item" ng-class="{active: selected == 'preview', disabled: !isPreviewAvailable()}" ng-click="isPreviewAvailable() && (selected = 'preview')" title="{{ !isPreviewAvailable() ? 'Cette action n\'est pas disponible dans le contexte actuel' : '' }}">
                    <i class="fa fa-eye fa-fw"></i> Prévisualisation
                </a>
            </div>
        </div>
        <div class="col-sm-10 tab-content">

            <div ng-if="isNavigatorAvailable()">
                <div ng-show="selected == 'path'">
                    <div xpath-navigator ng-model="$parent.exprObj.xpath" schema="$parent.schema" selector="{{ $parent.selector }}" ng-change="evaluateXpath()"></div>
                </div>

                <div ng-show="selected == 'predicates'">
                    <div xpath-predicates ng-model="$parent.exprObj.xpath" schema="$parent.schema" ng-change="evaluateXpath()"></div>
                </div>
            </div>

            <div ng-if="selected == 'expert'">
                <div xpath-expert mode="{{ $parent.mode }}" ng-model="$parent.exprObj.expr" ng-change="evaluateExpr()"></div>
            </div>

            <div ng-if="isAtomicAvailable() && selected == 'atomic'">
                <atomic-chain-editor ng-model="$parent.atomic" ng-change="$commit()"></atomic-chain-editor>
            </div>

            <div ng-if="isPreviewAvailable() && selected == 'preview'">
                <extract-preview expr="ngModelCtrl.$modelValue" selector="{{ selector }}" context="context"></extract-preview>
            </div>
        </div>
    </div>
    <!--
    -->
</div>
